<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: He_Arc::RPG::Ex_MenuItemNotFound Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>He_Arc</b></li><li class="navelem"><b>RPG</b></li><li class="navelem"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_ex___menu_item_not_found.html">Ex_MenuItemNotFound</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_he___arc_1_1_r_p_g_1_1_ex___menu_item_not_found-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">He_Arc::RPG::Ex_MenuItemNotFound Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This exception is intended to be rise when a nonexistant menu is selected.  
 <a href="class_he___arc_1_1_r_p_g_1_1_ex___menu_item_not_found.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_menu_item_not_found_8hpp_source.html">MenuItemNotFound.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for He_Arc::RPG::Ex_MenuItemNotFound:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_he___arc_1_1_r_p_g_1_1_ex___menu_item_not_found.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af1ed5d73d680f3526921fc3b2ac68f10"><td class="memItemLeft" align="right" valign="top"><a id="af1ed5d73d680f3526921fc3b2ac68f10"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Ex_MenuItemNotFound</b> (char key, string msg=&quot;There is no menu item assigned to the key &quot;) noexcept</td></tr>
<tr class="separator:af1ed5d73d680f3526921fc3b2ac68f10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a435a619014d067b1190bda0ce3c2a06e"><td class="memItemLeft" align="right" valign="top"><a id="a435a619014d067b1190bda0ce3c2a06e"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>what</b> () const noexcept override</td></tr>
<tr class="separator:a435a619014d067b1190bda0ce3c2a06e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This exception is intended to be rise when a nonexistant menu is selected. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>cpp_filrouge_iscj_allemann/include/Exception/<a class="el" href="_menu_item_not_found_8hpp_source.html">MenuItemNotFound.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
